Subject: bug#72791: 29.4; x-popup-menu in emacs built with lucid xtoolkit can't scroll

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Aug 2024 09:06:04 +0300

> Cc: [email-masked]
> Date: Sun, 25 Aug 2024 10:32:47 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Thierry Volpiatto <[email-masked]> writes:
> 
> > Hello,
> >
> > when Emacs is built with "--with-x-toolkit=lucid" a menu displayed by
> > x-popup-menu and larger than (window-height) doesn't have a scroll bar.
> > The part which is shown is the center part (first lines and last lines
> > doesn't appear).  This doesn't happen with a default build (gtk).
> >
> > I don't know if it is a misfeature of Lucid or an emacs bug.
> 
> lwlib doesn't support this feature.  I suggest building with Motif.

OK, but why (window-height)?  Is the intent to the frame height, or
the height of the screen, perhaps?  I don't understand why the height
of the menu should be limited by the window.